Subject: Re: [Spridgets] Stitching

From: W David Doiron via Spridgets <[email-masked]>
Date: Mon, 26 Feb 2024 09:26:10 -0700 (MST)

Hello All, 
I had a 948 head that was stitched in 1967, and used for 
SCCA regional and National H Prod racing for 7 years. 
The head did fail, but NOT at the stitching!! 
W David Doiron

>>>> 
> Spridgets mailing list
> [email-masked]
> http://autox.team.net/mailman/listinfo/spridgets
> Hi List, 
> 
> While not a Spridget block,this is a cast iron block that is being repaired by what I've known called 'Metal Stitching'.  I've never seen it done before but have seen the occasional vintage (UK Vintage - pre 1940s) racing car block that has been repaired this way.
> 
> https://www.youtube.com/watch?v=q2ub4ZvBXYk
> 
> Regards
> 
> Daniel
>>>>
------------------------

[email-masked]

Donate: http://www.team.net/donate.html
Suggested annual donation: $12.75

Archive: http://www.team.net/pipermail/spridgets  http://autox.team.net/archive

Unsubscribe/Manage: http://autox.team.net/mailman/options/spridgets/[email-masked]